%global momorel 1

Summary: C library to access data on a CDDB server (freedb.org)
Name: libcddb
Version: 1.3.2
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
URL: http://libcddb.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libcdio-devel >= 0.81

%description
Libcddb is a C library to access data on a CDDB server
(freedb.org). It allows you to:

 1. search the database for possible CD matches;
 2. retrieve detailed information about a specific CD;
 3. submit new CD entries to the database.

Libcddb supports both the custom CDDB protocol and tunnelling the
query and read operations over plain HTTP. It is also possible to use
an HTTP proxy server. If you want to speed things up, you can make use
of the built-in caching facility provided by the library.

%package devel
Summary: %{name} header files and development documentation
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and development documentation for %{name}


%prep
#'
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc 
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.2-1m)
- update to 1.3.2
- rebuild against libcdio-0.81

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.0-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.0-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.0-2m)
- %%NoSource -> NoSource

* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.0-1m)
- initial packaging for Momonga
